cpphlib.PPRENCOUTACTIONS Class Reference

- Main Page
- Namespaces
- Classes

- Class List
- Class Members

Public Member Functions | Public Attributes
cpphlib.PPRENCOUTACTIONS Class Reference

Output actions for rotary encoder handler. More...

List of all members.

## Public Member Functions
def | __init__
def | upsignalaction
def | downsignalaction
def | getvalue
| Documentation for method.
def | getupsignals
| Documentation for method.
def | getdownsignals
| Documentation for method.
def | clear
## Public Attributes
| upsignals
| downsignals
| value

## Detailed Description

Output actions for rotary encoder handler.

This class contains the output actions of the statemachine dealing with rotary encoder, and also contains variables chained to rotary encoder, and it's other handler methods.

## Constructor & Destructor Documentation

def cpphlib.PPRENCOUTACTIONS.__init__ | ( |  | self | ) |

    Short description: Constructs PPRENCOUTACTIONS class

## Member Function Documentation

def cpphlib.PPRENCOUTACTIONS.clear | ( |  | self | ) |

    Short description: Setting rotary encoder counters and value to default

def cpphlib.PPRENCOUTACTIONS.downsignalaction | ( |  | self | ) |

    Short description: The code to run in case of arriving of the rotary encoder downsignal

def cpphlib.PPRENCOUTACTIONS.getdownsignals | ( |  | self | ) |

Documentation for method.

Inquiring downsignals counted since rotary encoder clear method was called. The return value is formed string, which contains three digits decimal number

    Short description: Inquiring downsignals of rotary encoder

def cpphlib.PPRENCOUTACTIONS.getupsignals | ( |  | self | ) |

Documentation for method.

Inquiring upsignals counted since rotary encoder clear method was called. The return value is formed string, which contains three digits decimal number

    Short description: Inquiring upsignals of rotary encoder

def cpphlib.PPRENCOUTACTIONS.getvalue | ( |  | self | ) |

Documentation for method.

Inquiring actual position value of rotary encoder. The return value is formed string, which contains three digits decimal number

    Short description: Inquiring actual position value of the rotary encoder

def cpphlib.PPRENCOUTACTIONS.upsignalaction | ( |  | self | ) |

    Short description: The code to run in case of arriving of the rotary encoder upsignal

The documentation for this class was generated from the following file:

- cpphlib.py